namespace CodeDomPerson.Data
{
    using System;
    
    
    public class Person
    {
        
        private string _name = "John Doe";
        
        private string Name
        {
            get
            {
                return this._name;
            }
            set
            {
                this._name = value;
            }
        }
        
        private void SayHello()
        {
            System.Console.WriteLine((this.Name + " says hello!"));
        }
    }
}
